com.dlsc.flexgantt.model.gantt

## Enum ILayer.Feature

- java.lang.Object
- - java.lang.Enum<ILayer.Feature>
  - - com.dlsc.flexgantt.model.gantt.ILayer.Feature

- All Implemented Interfaces:
    Serializable, Comparable<ILayer.Feature>
  Enclosing interface:
    ILayer

      public static enum ILayer.Feature
      extends Enum<ILayer.Feature>

  An enumerator with values that describe features that a layer can have or not have. Various user interface components can use the list of features supported by a layer to control their own behaviour and positively influence their performance. The `LabelLayer` for example can decide to completely ignore a layer if the layer does not support the `TIMELINE_OBJECT_DESCRIPTIONS` feature.
  Since:
    1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETION` A value indicating that a layer can be deleted interactively by the user.
    `OVERVIEW` A value indicating that a layer can be shown miniaturized in the overview palette (see `OverviewPalette`).
    `RELATIONSHIPS` A value indicating that a layer and the data contained within the layer (the timeline objects) support relationships that can for example be visualized by the `RelationshipLayer`.
    `SHOW_IN_PALETTE` A value indicating that the layer can be shown to the user in the layer palette control.
    `TIMELINE_OBJECT_CREATION` A value indicating that a layer supports the interactive creation of timeline objects.
    `TIMELINE_OBJECT_DESCRIPTIONS` A value indicating that a layer and the data contained within the layer (the timeline objects) support descriptive labels that can for example be visualized by the `LabelLayer`.
    `TRANSPARENCY` A value indicating that a layer supports transparency (for which purpose is not relevant).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ILayer.Feature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ILayer.Feature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMELINE_OBJECT_DESCRIPTIONS

          public static final ILayer.Feature TIMELINE_OBJECT_DESCRIPTIONS

      A value indicating that a layer and the data contained within the layer (the timeline objects) support descriptive labels that can for example be visualized by the `LabelLayer`.
      Since:
        1.0

    - #### RELATIONSHIPS

          public static final ILayer.Feature RELATIONSHIPS

      A value indicating that a layer and the data contained within the layer (the timeline objects) support relationships that can for example be visualized by the `RelationshipLayer`.
      Since:
        1.0

    - #### DELETION

          public static final ILayer.Feature DELETION

      A value indicating that a layer can be deleted interactively by the user.
      Since:
        1.0

    - #### TRANSPARENCY

          public static final ILayer.Feature TRANSPARENCY

      A value indicating that a layer supports transparency (for which purpose is not relevant).
      Since:
        1.0

    - #### OVERVIEW

          public static final ILayer.Feature OVERVIEW

      A value indicating that a layer can be shown miniaturized in the overview palette (see `OverviewPalette`).
      Since:
        1.0

    - #### TIMELINE_OBJECT_CREATION

          public static final ILayer.Feature TIMELINE_OBJECT_CREATION

      A value indicating that a layer supports the interactive creation of timeline objects. If more than one layer supports this feature than a dialog will be shown to the user asking him to specify on which layer the timeline object shall be added.
      Since:
        1.0

    - #### SHOW_IN_PALETTE

          public static final ILayer.Feature SHOW_IN_PALETTE

      A value indicating that the layer can be shown to the user in the layer palette control. With this feature an application can decide whether it wants to allow the user access to showing / hiding / moving layers.
      Since:
        1.1

  - ### Method Detail

    - #### values

          public static ILayer.Feature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ILayer.Feature c : ILayer.Feature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ILayer.Feature valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.